Package com.destroystokyo.paper.event.inventory

# Class PrepareGrindstoneEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.inventory.InventoryEvent
com.destroystokyo.paper.event.inventory.PrepareResultEvent
com.destroystokyo.paper.event.inventory.PrepareGrindstoneEvent

@Deprecated public class PrepareGrindstoneEvent extends PrepareResultEvent
Deprecated.
Called when an item is put in a slot for grinding in a Grindstone

See Also:
  - `PrepareResultEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.inventory.InventoryEvent

`transaction`

## Constructor Summary

Constructors
Constructor
Description
`PrepareGrindstoneEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull GrindstoneInventory`
`getInventory()`
Deprecated.
Gets the primary Inventory involved in this transaction

### Methods inherited from class com.destroystokyo.paper.event.inventory.PrepareResultEvent

`getHandlerList, getHandlers, getResult, setResult`

### Methods inherited from class org.bukkit.event.inventory.InventoryEvent

`getView, getViewers`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrepareGrindstoneEvent

public PrepareGrindstoneEvent(@NotNull @NotNull InventoryView inventory, @Nullable @Nullable ItemStack result)
Deprecated.

## Method Details

### getInventory

@NotNull public @NotNull GrindstoneInventory getInventory()
Deprecated.
Description copied from class: `InventoryEvent`
Gets the primary Inventory involved in this transaction

Overrides:
  `getInventory` in class `InventoryEvent`
Returns:
  The upper inventory.